Bug 956094 (CVE-2013-3231) - CVE-2013-3231 Kernel: llc: Fix missing msg_namelen update in llc_ui_recvmsg
Summary: CVE-2013-3231 Kernel: llc: Fix missing msg_namelen update in llc_ui_recvmsg
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-3231
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130407,reported=2...
Depends On: 956096 956097 956099 956100 956102 956103 956104
Blocks: 858947
TreeView+ depends on / blocked
 
Reported: 2013-04-24 09:47 UTC by Prasad J Pandit
Modified: 2019-06-08 19:32 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-09 18:13:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0829 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-05-20 20:47:02 UTC
Red Hat Product Errata RHSA-2013:1034 normal SHIPPED_LIVE Low: kernel security and bug fix update 2013-07-10 07:51:23 UTC
Red Hat Product Errata RHSA-2013:1645 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6 kernel update 2013-11-20 22:04:18 UTC

Description Prasad J Pandit 2013-04-24 09:47:51 UTC
Linux kernel built with Logical Link layer Control(CONFIG_LLC) protocol
support is vulnerable to an information leakage flaw. It occurs while receiving
messages via recvmsg(2) socket call.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> http://git.kernel.org/linus/c77a4b9cffb6215a15196ec499490d116dfad181

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/04/14/3

Comment 1 Prasad J Pandit 2013-04-24 09:50:01 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2. Future kernel
updates for Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2 may
address this issue.

Comment 4 Prasad J Pandit 2013-04-24 09:54:40 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 956104]

Comment 5 Fedora Update System 2013-04-27 00:08:25 UTC
kernel-3.8.8-203.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-05-04 00:07:41 UTC
kernel-3.8.11-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2013-05-20 16:58:28 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html

Comment 8 errata-xmlrpc 2013-07-10 03:56:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1034 https://rhn.redhat.com/errata/RHSA-2013-1034.html

Comment 9 errata-xmlrpc 2013-11-21 18:21:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html


Note You need to log in before you can comment on or make changes to this bug.